Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Readying for release to rubygems

  • Loading branch information...
commit fc6abc48b833aff0ac1090cc8598715e14177741 1 parent 0b42a9e
Ryan Mohr rymohr authored
7 .gitignore
... ... @@ -1,6 +1,9 @@
1   -.bundle/
  1 +*.gem
  2 +.bundle
  3 +Gemfile.lock
2 4 log/*.log
3   -pkg/
  5 +pkg/*
  6 +spec/tmp/*
4 7 spec/dummy/db/*.sqlite3
5 8 spec/dummy/log/*.log
6 9 spec/dummy/tmp/
14 Gemfile
... ... @@ -1,17 +1,3 @@
1 1 source "http://rubygems.org"
2 2
3   -# Declare your gem's dependencies in headcount.gemspec.
4   -# Bundler will treat runtime dependencies like base dependencies, and
5   -# development dependencies will be added by default to the :development group.
6 3 gemspec
7   -
8   -# jquery-rails is used by the dummy application
9   -gem "jquery-rails"
10   -
11   -# Declare any dependencies that are still in development here instead of in
12   -# your gemspec. These might include edge Rails or gems from your path or
13   -# Git. Remember to move these dependencies to your gemspec before releasing
14   -# your gem to rubygems.org.
15   -
16   -# To use debugger
17   -# gem 'ruby-debug19', :require => 'ruby-debug'
4 Gemfile.lock
@@ -59,9 +59,6 @@ GEM
59 59 hike (1.2.1)
60 60 i18n (0.6.0)
61 61 journey (1.0.3)
62   - jquery-rails (2.0.2)
63   - railties (>= 3.2.0, < 5.0)
64   - thor (~> 0.14)
65 62 json (1.6.6)
66 63 mail (2.4.4)
67 64 i18n (>= 0.4.0)
@@ -138,7 +135,6 @@ DEPENDENCIES
138 135 guard-rspec
139 136 guard-spork
140 137 headcount!
141   - jquery-rails
142 138 rspec-rails
143 139 spork
144 140 sqlite3
28 Rakefile
... ... @@ -1,27 +1 @@
1   -#!/usr/bin/env rake
2   -begin
3   - require 'bundler/setup'
4   -rescue LoadError
5   - puts 'You must `gem install bundler` and `bundle install` to run rake tasks'
6   -end
7   -begin
8   - require 'rdoc/task'
9   -rescue LoadError
10   - require 'rdoc/rdoc'
11   - require 'rake/rdoctask'
12   - RDoc::Task = Rake::RDocTask
13   -end
14   -
15   -RDoc::Task.new(:rdoc) do |rdoc|
16   - rdoc.rdoc_dir = 'rdoc'
17   - rdoc.title = 'Headcount'
18   - rdoc.options << '--line-numbers'
19   - rdoc.rdoc_files.include('README.rdoc')
20   - rdoc.rdoc_files.include('lib/**/*.rb')
21   -end
22   -
23   -
24   -
25   -
26   -Bundler::GemHelper.install_tasks
27   -
  1 +require 'bundler/gem_tasks'
10 headcount.gemspec
@@ -13,8 +13,12 @@ Gem::Specification.new do |s|
13 13 s.summary = "A simple stat collector for rails apps"
14 14 s.description = ""
15 15
16   - s.files = Dir["{app,config,db,lib}/**/*"] + ["MIT-LICENSE", "Rakefile", "README.rdoc"]
17   -
  16 + s.rubyforge_project = "headcount"
  17 +
  18 + s.files = Dir["{lib}/**/*"] + ["MIT-LICENSE", "Gemfile", "Gemfile.lock", "Rakefile", "README.rdoc"]
  19 + s.test_files = Dir["{spec}/**/*"]
  20 + s.require_paths = ["lib"]
  21 +
18 22 s.add_dependency "rails", "~> 3.2.2"
19 23
20 24 s.add_development_dependency "sqlite3"
@@ -23,4 +27,4 @@ Gem::Specification.new do |s|
23 27 s.add_development_dependency "spork"
24 28 s.add_development_dependency "guard-rspec"
25 29 s.add_development_dependency "guard-spork"
26   -end
  30 +end

0 comments on commit fc6abc4

Please sign in to comment.
Something went wrong with that request. Please try again.